# strncpy

copy characters from strings

## Calling Sequence

    res = strncpy(str1, num)

## Arguments

str1

  a character string or matrix of character strings.

num

  an integer or a matrix of integers, maximum number of characters to be copied from source.

res

  a character string or matrix of character strings.

## Description

`res = strncpy(str1, num)` copies the first `num` characters of source `str1` to destination `res`.

`num` must have same dimensions than `str1` or `num` must be an integer number.

## Examples

    strncpy('scilab',3)
    strncpy(['scilab','SciLab';'strncpy','strstr'],3)
    strncpy(['scilab','SciLab';'strncpy','strstr'],[1,2;3,4])

## See Also

- strcat
- strcmp